<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFRequest (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFRequest (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFRequest.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
               title="interface in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
               title="class in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/eventusermodel/HSSFRequest.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFRequest.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.eventusermodel</div>
    <h2 title="Class HSSFRequest" class="title">Class HSSFRequest</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.eventusermodel.HSSFRequest</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HSSFRequest</span>
extends java.lang.Object</pre>
                <div class="block">An HSSFRequest object should be constructed registering an instance or multiple
                    instances of HSSFListener with each Record.sid you wish to listen for.
                </div>
                <dl>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFEventFactory.html"
                           title="class in org.apache.poi.hssf.eventusermodel"><code>HSSFEventFactory</code></a>,
                        <a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                           title="interface in org.apache.poi.hssf.eventusermodel"><code>HSSFListener</code></a>,
                        <a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                           title="class in org.apache.poi.hssf.eventusermodel"><code>HSSFUserException</code></a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html#HSSFRequest--">HSSFRequest</a></span>()</code>
                                    <div class="block">Creates a new instance of HSSFRequest</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html#addListener-org.apache.poi.hssf.eventusermodel.HSSFListener-short-">addListener</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                        title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a>&nbsp;lsnr,
                                    short&nbsp;sid)</code>
                                    <div class="block">add an event listener for a particular record type.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html#addListenerForAllRecords-org.apache.poi.hssf.eventusermodel.HSSFListener-">addListenerForAllRecords</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                        title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a>&nbsp;lsnr)</code>
                                    <div class="block">This is the equivalent of calling addListener(myListener, sid)
                                        for EVERY
                                        record in the org.apache.poi.hssf.record package.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html#processRecord-org.apache.poi.hssf.record.Record-">processRecord</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a>&nbsp;rec)</code>
                                    <div class="block">Called by HSSFEventFactory, passes the Record to each listener
                                        associated with
                                        a record.sid.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFRequest--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFRequest</h4>
                                <pre>public&nbsp;HSSFRequest()</pre>
                                <div class="block">Creates a new instance of HSSFRequest</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="addListener-org.apache.poi.hssf.eventusermodel.HSSFListener-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addListener</h4>
                                <pre>public&nbsp;void&nbsp;addListener(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                        title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a>&nbsp;lsnr,
                        short&nbsp;sid)</pre>
                                <div class="block">add an event listener for a particular record type. The trick is you
                                    have to know
                                    what the records are for or just start with our examples and build on them.
                                    Alternatively,
                                    you CAN call addListenerForAllRecords and you'll receive ALL record events in one
                                    listener,
                                    but if you like to squeeze every last byte of efficiency out of life you my not like
                                    this.
                                    (its sure as heck what I plan to do)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>lsnr</code> - for the event</dd>
                                    <dd><code>sid</code> - identifier for the record type this is the .sid static member
                                        on the individual records
                                        for example req.addListener(myListener, BOFRecord.sid)
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html#addListenerForAllRecords-org.apache.poi.hssf.eventusermodel.HSSFListener-"><code>addListenerForAllRecords(HSSFListener)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addListenerForAllRecords-org.apache.poi.hssf.eventusermodel.HSSFListener-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addListenerForAllRecords</h4>
                                <pre>public&nbsp;void&nbsp;addListenerForAllRecords(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                        title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a>&nbsp;lsnr)</pre>
                                <div class="block">This is the equivalent of calling addListener(myListener, sid) for
                                    EVERY
                                    record in the org.apache.poi.hssf.record package. This is for lazy
                                    people like me. You can call this more than once with more than one listener, but
                                    that seems like a bad thing to do from a practice-perspective unless you have a
                                    compelling reason to do so (like maybe you send the event two places or log it or
                                    something?).
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>lsnr</code> - a single listener to associate with ALL records</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processRecord-org.apache.poi.hssf.record.Record-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>processRecord</h4>
                                <pre>protected&nbsp;short&nbsp;processRecord(<a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a>&nbsp;rec)
                       throws <a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                                 title="class in org.apache.poi.hssf.eventusermodel">HSSFUserException</a></pre>
                                <div class="block">Called by HSSFEventFactory, passes the Record to each listener
                                    associated with
                                    a record.sid.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rec</code> - the record to be processed</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>numeric user-specified result code. If zero continue processing.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                                            title="class in org.apache.poi.hssf.eventusermodel">HSSFUserException</a></code>
                                        - User exception condition
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFRequest.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
               title="interface in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
               title="class in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/eventusermodel/HSSFRequest.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFRequest.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
